# -*- coding: utf-8 -*-
from item import *
from json_ import *

# --------- S --------------
tesla_coil_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('tesla_coil_hat.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['tesla_coil_hat.l0','tesla_coil_hat.l1']),
        JPar([
            JLine([ JTxt('enchant.shocking.name', 'gray'), 'enchant.shocking.l0'], 'dark_gray', italic=True),
            'enchant.shocking.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.S,
    stats = Stats([ Stat('armor', 2, 'armor'), Stat('speed', -0.004, 'armor'), Stat('souls_capacity', 1, 'armor')]),
    color = 12105372,
    price = 20,
    model = 4001,
    model_3d = True,
    other = 'Enchantments:[{}]'
    )
scaled_helmet = Armor(
    id = 'leather_helmet',
    name = JTxt('scaled_helmet.name','#e3693f', True, underlined = True),
    lore = Lore([
        JPar(['scaled_helmet.l0','scaled_helmet.l1']),
        JPar([ JLine(['enchant.fire_protection.name', ' V'], 'gray') ]) ]),
    rank = Rank.S,
    stats = Stats([ Stat('armor', 3, 'armor') ]),
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:5s}]',
    color = 14178867,
    set = 'scaled_set',
    bought = True,
    model = 4904,
    model_3d = True
    )
heavy_chestplate = Armor(
    id = 'leather_chestplate',
    name = JTxt('heavy_chestplate.name','#d6d6d6', True, underlined = True),
    lore = Lore([ JPar(['heavy_chestplate.l0','heavy_chestplate.l1']) ]),
    rank = Rank.S,
    stats = Stats([ Stat('armor', 8, 'armor'),  Stat('speed', -0.02,'armor'), Stat('attack_speed', -0.2,'armor')]),
    color = 13290186,
    set = 'heavy_set',
    price = 18,
    model = 4902
    )
ice_chestplate = Armor(
    id = 'leather_chestplate',
    name = JTxt('ice_chestplate.name','#29EAFF', True, underlined = True),
    lore = Lore([
        JPar(['ice_chestplate.l0','ice_chestplate.l1']),
        JPar([
            JLine([ JTxt('enchant.freezing.name', 'gray'), 'enchant.freezing.l0'], 'dark_gray', italic=True),
            'enchant.freezing.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.S,
    stats = Stats([ Stat('armor', 5.5, 'armor'), Stat('armor_toughness', 2,'armor')]),
    color = 6079704,
    other = 'Enchantments:[{}]',
    custom_on = True,
    price = 17, 
    model = 4002
    )
life_leggings = Armor(
    id = 'leather_leggings',
    name = JTxt('life_leggings.name','#d7ba91', True, underlined = True),
    lore = Lore([
        JPar(['life_armor.l0','life_armor.l1']) ]),
    rank = Rank.S,
    stats = Stats([ Stat('armor', -1, 'armor'), Stat('hp', 12, 'armor'), Stat('curse', 1.5, 'armor')]),
    color = 11695399,
    set = "life_set",
    bought = True,
    model = 4901
    )
frozen_boots = Armor(
    id = 'leather_boots',
    name = JTxt('frozen_boots.name','#5CC4D8', True, underlined = True),
    lore = Lore([
        JPar(["frozen_boots.l0"]),
        JPar([
            JLine([ JTxt('enchant.ice_trail.name', 'gray'), 'enchant.ice_trail.l0'], 'dark_gray', italic=True),
            'enchant.ice_trail.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.S,
    stats = Stats([ Stat('armor', 2, 'armor'), Stat('armor_toughness', 1, 'armor'), Stat('speed', 0.004, 'armor')]),
    color = 6079704,
    other = 'Enchantments:[{}]',
    price = 12,
    model=4004
    )

s = [tesla_coil_hat, scaled_helmet, heavy_chestplate, ice_chestplate, life_leggings, frozen_boots]

# --------- A -------------
life_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('life_hat.name','#d7ba91', True, underlined = True),
    lore = Lore([
        JPar(['life_armor.l0','life_armor.l1']) ]),
    rank = Rank.A,
    stats = Stats([ Stat('armor', -1, 'armor'), Stat('hp', 8, 'armor'),Stat('curse', 1.5, 'armor')]),
    color = 11695399,
    set = "life_set",
    price = 12,
    model = 4901
    )
rage_glasses = Armor(
    id = 'leather_helmet',
    name = JTxt('rage_glasses.name','#EA424D', True, underlined = True),
    lore = Lore([
        JPar(['rage_glasses.l0','rage_glasses.l1']),
        JPar([
            JLine([ JTxt('enchant.enraging.name', 'gray'), 'enchant.enraging.l0'], 'dark_gray', italic=True),
            'enchant.enraging.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.A,
    stats = Stats([ Stat('armor', 2, 'armor'), Stat('speed', -0.002, 'armor'), Stat('curse', 1, 'armor')]),
    other = 'Enchantments:[{}]',
    custom_on = True,
    color = 10755614,
    bought = True,
    model = 4002
    )
mage_tunic = Armor(
    id = 'leather_chestplate',
    name = JTxt('basic_mage_tunic.name','#796cff', True, underlined = True),
    lore = Lore([ JPar(["basic_mage_armor.l0","basic_mage_armor.l1","basic_mage_armor.l2"]) ]),
    rank = Rank.A,
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('mana_capacity', 30, 'armor'), Stat('mana_cost', -20, 'armor')]),
    color = 6706909,
    set = 'mage_set',
    bought = True,
    model = 4903
    )
coin_chain = Armor(
    id = 'leather_chestplate',
    name = JTxt('coin_chain.name','#ffeb14', True, underlined = True),
    lore = Lore([
        JPar(['coin_chain.l0','coin_chain.l1','coin_chain.l2']),
        JPar([
            JLine([ JTxt('enchant.greed_protection.name', 'gray'), 'enchant.greed_protection.l0'], 'dark_gray', italic=True),
            'enchant.greed_protection.l1','enchant.greed_protection.l2'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.A,
    stats = Stats([ Stat('armor', 3.5, 'armor'), Stat('curse', 1.5, 'armor') ]),
    other = 'Enchantments:[{}]',
    color = 16773194,
    price = 14,
    set = 'greed_set',
    model = 4005
    )
steampunk_armor = Armor(
    id = 'leather_leggings',
    name = JTxt('steampunk_armor.name','#F6C136', True, underlined = True),
    lore = Lore([
        JPar(["steampunk_armor.l0","steampunk_armor.l1"]),
        JPar([
            JLine([ JTxt('enchant.burning.name', 'gray'), 'enchant.burning.l0'], 'dark_gray', italic=True),
            'enchant.burning.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.A,
    stats = Stats([ Stat('armor', 3.5, 'armor'), Stat('armor_toughness', 2,'armor')]),
    color = 16171318,
    model = 4004,
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:1s}]',
    custom_on = True,
    price = 17,
    )
lava_boots = Armor(
    id = 'leather_boots',
    name = JTxt('lava_boots.name','dark_red', True, underlined = True),
    lore = Lore([
        JPar(["lava_boots.l0","lava_boots.l1"]),
        JPar([
            JLine(['enchant.fire_protection.name', ' I', '\\n'], 'gray'),
            JLine([ JTxt('enchant.fire_trail.name', 'gray'), 'enchant.fire_trail.l0'], 'dark_gray', italic=True),
            'enchant.fire_trail.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.A,
    stats = Stats([ Stat('armor', 2.5, 'armor'), Stat('speed', -0.007, 'armor'), Stat('curse', 0.5, 'armor')]),
    color = 14369805,
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:1s}]',
    price = 12,
    model = 4001
    )
heavy_boots = Armor(
    id = 'leather_boots',
    name = JTxt('heavy_boots.name','#d6d6d6', True, underlined = True),
    lore = Lore([
        JPar(["heavy_boots.l0","heavy_boots.l1","heavy_boots.l2"]) ]),
    rank = Rank.A,
    stats = Stats([ Stat('armor', 5, 'armor'),  Stat('speed', -0.013,'armor'),  Stat('mana_capacity', -10,'armor')]),
    color = 13290186,
    set = 'heavy_set',
    bought = True,
    model = 4902
    )

a = [life_hat, rage_glasses, mage_tunic, coin_chain, steampunk_armor, lava_boots, heavy_boots]

# --------- B --------------
mage_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('basic_mage_hat.name','#796cff', True, underlined = True),
    lore = Lore([ JPar(["basic_mage_armor.l0","basic_mage_armor.l1","basic_mage_armor.l2"]) ]),
    rank = Rank.B,
    stats = Stats([ Stat('armor', 1, 'armor'), Stat('mana_capacity', 20,'armor'), Stat('mana_cost', -10,'armor') ]),
    color = 6706909,
    set = 'mage_set',
    price = 10,
    model = 4903,
    model_3d = True
    )
passive_aggressive_shirt = Armor(
    id = 'leather_chestplate',
    name = JTxt('passive_agressive_shirt.name','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['passive_agressive_shirt.l0','passive_agressive_shirt.l1','passive_agressive_shirt.l2']) ]),
    rank = Rank.B,
    stats = Stats([ Stat('armor', 4, 'armor'), Stat('dmg', 1, 'armor'), Stat('curse', 0.5, 'armor') ]),
    color = 14428948,
    bought = True,
    model = 4003
    )
life_chetsplate = Armor(
    id = 'leather_chestplate',
    name = JTxt('life_chestplate.name','#d7ba91', True, underlined = True),
    lore = Lore([
        JPar(['life_armor.l0','life_armor.l1']) ]),
    rank = Rank.B,
    stats = Stats([ Stat('hp', 6, 'armor'), Stat('curse', 1, 'armor')]),
    color = 11695399,
    set = "life_set",
    price = 9,
    model = 4901
    )
heavy_leggings = Armor(
    id = 'leather_leggings',
    name = JTxt('heavy_leggings.name','#d6d6d6', True, underlined = True),
    lore = Lore([
        JPar(['heavy_leggings.l0','heavy_leggings.l1']) ]),
    rank = Rank.B,
    stats = Stats([ Stat('armor', 5, 'armor'), Stat('hp', -1, 'armor'),  Stat('speed', -0.012,'armor')]),
    color = 13290186,
    set = 'heavy_set',
    price = 11,
    model = 4902
    )
scaled_leggings = Armor(
    id = 'leather_leggings',
    name = JTxt('scaled_leggings.name','#e3693f', True, underlined = True),
    lore = Lore([
        JPar(['scaled_leggings.l0']),
        JPar([ JLine(['enchant.fire_protection.name', ' III'], 'gray') ]) ]),
    rank = Rank.B,
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('armor_toughness', 2, 'armor') ]),
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:3s}]',
    color = 14178867,
    set = 'scaled_set',
    bought = True,
    model = 4904
    )
seven_league_boots = Armor(
    id = 'leather_boots',
    name = JTxt('seven_league_boots.name','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['seven_league_boots.l0','seven_league_boots.l1','seven_league_boots.l2']) ]),
    rank = Rank.B,
    stats = Stats([ Stat('armor', 2, 'armor'), Stat('speed', 0.03,'armor'), Stat('luck', 5, 'armor')]),
    color = 50985,
    bought = True,
    model = 4002
    )
time_shoes = Armor(
    id = 'leather_boots',
    name = JTxt('time_shoes.name','#82CFD0', True, underlined = True),
    lore = Lore([
        JPar(['time_shoes.l0','time_shoes.l1']),
        JPar([
            JLine([ JTxt('enchant.time_protection.name', 'gray'), 'enchant.time_protection.l0'], 'dark_gray', italic=True),
            'enchant.time_protection.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.B,
    stats = Stats([ Stat('armor', 2, 'armor'), Stat('speed', -0.01,'armor'), Stat('souls_capacity', 1,'armor'), Stat('curse', 0.5, 'armor')]),
    other = 'Enchantments:[{}]',
    color = 8572880,
    price = 11,
    model = 4005,
    custom_off=True
    )

b = [mage_hat, passive_aggressive_shirt, life_chetsplate, heavy_leggings, scaled_leggings, seven_league_boots, time_shoes ]

# --------- C --------------
heavy_hemlet = Armor(
    id = 'leather_helmet',
    name = JTxt('heavy_helmet.name','#d6d6d6', True, underlined = True),
    lore = Lore([
        JPar(['heavy_helmet.l0','heavy_helmet.l1']) ]),
    rank = Rank.C,
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('armor_toughness', 0.5, 'armor'),  Stat('speed', -0.010,'armor')]),
    color = 13290186,
    set = 'heavy_set',
    bought = True,
    model = 4902,
    model_3d = True
    )
lagged_armor = Armor(
    id = 'leather_chestplate',
    name = JTxt('lagged_armor.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['lagged_armor.l0','lagged_armor.l1']),
        JPar([
            JLine([ JTxt('enchant.lagged_protection.name', 'gray'), 'enchant.lagged_protection.l0'], 'dark_gray', italic=True),
            'enchant.lagged_protection.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.C,
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('armor_toughness', 0.5, 'armor')]),
    color = 7631988,
    price = 5,
    other = 'Enchantments:[{}]',
    bought = True,
    model = 4004
    )
scaled_chestplate = Armor(
    id = 'leather_chestplate',
    name = JTxt('scaled_chestplate.name','#e3693f', True, underlined = True),
    lore = Lore([
        JPar(['scaled_chestplate.l0','scaled_chestplate.l1']),
        JPar([ JLine(['enchant.fire_protection.name', ' II'], 'gray') ]) ]),
    rank = Rank.C,
    stats = Stats([ Stat('armor', 4, 'armor')]),
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:2s}]',
    color = 14178867,
    set = 'scaled_set',
    price = 4,
    model = 4904
    )
mage_pants = Armor(
    id = 'leather_leggings',
    name = JTxt('basic_mage_pants.name','#796cff', True, underlined = True),
    lore = Lore([ JPar(["basic_mage_armor.l0","basic_mage_armor.l1","basic_mage_armor.l2"]) ]),
    rank = Rank.C,
    stats = Stats([ Stat('armor', 2, 'armor'), Stat('mana_capacity', 30, 'armor')]),
    color = 6706909,
    set = 'mage_set',
    price = 6,
    model = 4903
    )
creeper_legs = Armor(
    id = 'leather_leggings',
    name = JTxt('creeper_legs.name','dark_green', True, underlined = True),
    lore = Lore([
        JPar(["creeper_legs.l0","creeper_legs.l1"]),
        JPar([
            JLine([ JTxt('enchant.exploding.name', 'gray'), 'enchant.exploding.l0'], 'dark_gray', italic=True),
            'enchant.exploding.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.C,
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('curse', 0.5, 'armor')]),
    color = 48958,
    custom_on = True,
    price = 8,
    model = 4001,
    other = 'Enchantments:[{}]'
    )
life_shoes = Armor(
    id = 'leather_boots',
    name = JTxt('life_shoes.name','#d7ba91', True, underlined = True),
    lore = Lore([
        JPar(['life_armor.l0','life_armor.l1']) ]),
    rank = Rank.C,
    stats = Stats([ Stat('hp', 4, 'armor'), Stat('curse', 0.5, 'armor')]),
    color = 11695399,
    set = "life_set",
    bought = True,
    model = 4901
    )

c = [heavy_hemlet, lagged_armor, scaled_chestplate, mage_pants, creeper_legs, life_shoes]

# --------- D --------------
beginners_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('beginners_hat.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['beginners_hat.l0']) ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 1, 'armor') ]),
    holder = False,
    bought = True
    )
beginners_tunic = Armor(
    id = 'leather_chestplate',
    name = JTxt('beginners_tunic.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['beginners_tunic.l0']) ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 3, 'armor')]),
    holder = False,
    bought = True
    )
beginners_pants = Armor(
    id = 'leather_leggings',
    name = JTxt('beginners_pants.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['beginners_pants.l0']) ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 2, 'armor') ]),
    holder = False,
    bought = True
    )
beginners_shoes = Armor(
    id = 'leather_boots',
    name = JTxt('beginners_shoes.name','gold', True, underlined = True),
    lore = Lore([
        JPar(['beginners_shoes.l0']) ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 1, 'armor') ]),
    holder = False,
    bought = True
    )
leprechaun_top_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('leprechaun_top_hat.name','dark_green', True, underlined = True),
    lore = Lore([ JPar(['leprechaun_top_hat.l0','leprechaun_top_hat.l1']) ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 1, 'armor'), Stat('luck', 10, 'armor'), Stat('mana_capacity', 5,'armor') ]),
    color = 1893963,
    bought = True,
    model = 4003,
    model_3d = True
    )
cacti_armor = Armor(
    id = 'leather_chestplate',
    name = JTxt('cacti_armor.name','#008800', True, underlined = True),
    lore = Lore([
        JPar(['cacti_armor.l0']),
        JPar([ JLine(['enchant.thorns.name',' IV'], 'gray') ]) ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 3, 'armor') ]),
    color = 34816,
    other = 'Enchantments:[{id:"minecraft:thorns",lvl:4s}]',
    bought = True,
    set = 'cactus_set',
    model = '4001',
    )
scared_pants = Armor(
    id = 'leather_leggings',
    name = JTxt('scared_pants.name','gray', True, underlined = True),
    lore = Lore([
        JPar(['scared_pants.l0','scared_pants.l1']),
        JPar([
            JLine([ JTxt('enchant.scared.name', 'gray'), 'enchant.scared.l0'], 'dark_gray', italic=True),
            'enchant.scared.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 2.5, 'armor') ]),
    color = 9289381,
    bought = True,
    other = 'Enchantments:[{}]',
    model=4003
    )
berserker_armor = Armor(
    id = 'leather_leggings',
    name = JTxt('berserker_armor.name','red', True, underlined = True),
    lore = Lore([
        JPar(['berserker_armor.l0']),
        JPar([
            JLine([ JTxt('enchant.blood_armor.name', 'gray'), 'enchant.blood_armor.l0'], 'dark_gray', italic=True),
            'enchant.blood_armor.l1'
        ], 'dark_gray', italic=True)
    ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 1.5, 'armor'), Stat('curse', 0.5, 'armor')]),
    color = 10829837,
    price = 3,
    other = 'Enchantments:[{}]',
    set = 'berserker_set',
    model = 4002
    )
scaled_shoes = Armor(
    id = 'leather_boots',
    name = JTxt('scaled_shoes.name','#e3693f', True, underlined = True),
    lore = Lore([
        JPar(["scaled_shoes.l0","scaled_shoes.l1"]),
        JPar([ JLine(['enchant.fire_protection.name', ' II'], 'gray') ]) ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 1.5, 'armor') ]),
    other = 'Enchantments:[{id:"minecraft:fire_protection",lvl:2s}]',
    color = 14178867,
    price = 3,
    set = 'scaled_set',
    model = 4904
    )
mage_boots = Armor(
    id = 'leather_boots',
    name = JTxt('basic_mage_boots.name','#796cff', True, underlined = True),
    lore = Lore([ JPar(["basic_mage_armor.l0","basic_mage_armor.l1","basic_mage_armor.l2"]) ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 1, 'armor'), Stat('mana_capacity', 15,'armor') ]),
    color = 6706909,
    set = 'mage_set',
    bought = True,
    model = 4903
    )
mcqueen_crocks = Armor(
    id = 'leather_boots',
    name = JTxt('McQueen Crocs','#EA424D', True, underlined = True, translate=False),
    lore = Lore([ JPar(["Crocks go brrrrr...."]) ]),
    rank = Rank.D,
    stats = Stats([ Stat('armor', 1, 'armor'), Stat('speed', 0.999,'armor') ]),
    color = 13320484,
    bought = True,
    holder = False,
    book = False, 
    model = 4003
    )

d = [leprechaun_top_hat, cacti_armor, scared_pants, berserker_armor, mage_boots, scaled_shoes]
d = d + [beginners_hat, beginners_tunic, beginners_pants, beginners_shoes]
d = d + [mcqueen_crocks]

armor = s + a + b + c + d
